gtkmm: Atk::Implementor Class Reference

# Atk::Implementor Class Reference

Inherits Glib::Interface.

Inherited by Gtk::Widget.

Collaboration diagram for Atk::Implementor:
[legend]

List of all members.

## Public Member Functions
virtual | ~Implementor ()
AtkImplementor* | gobj ()
| Provides access to the underlying C GObject.
const AtkImplementor* | gobj () const
| Provides access to the underlying C GObject.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Atk::Implementor::~Implementor | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Implementor::add_interface | ( | GType | gtype_implementer | ) | `[static]`

const AtkImplementor* Atk::Implementor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AboutDialog, Gtk::AccelLabel, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Assistant, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellView, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboBox, Gtk::ComboBoxEntry, Gtk::Container, Gtk::Dialog, Gtk::DrawingArea, Gtk::Entry, Gtk::EventBox, Gtk::Expander, Gtk::FileChooserButton, Gtk::FileChooserDialog, Gtk::FileChooserWidget, Gtk::FileSelection, Gtk::Fixed, Gtk::FontButton, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::IconView, Gtk::Image, Gtk::ImageMenuItem, Gtk::InfoBar, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::LinkButton, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MenuToolButton, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::OffscreenWindow, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::Range, Gtk::RecentChooserDialog, Gtk::RecentChooserMenu, Gtk::RecentChooserWidget, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::ScaleButton, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Socket, Gtk::SpinButton, Gtk::Spinner, Gtk::Statusbar, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextView, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::Toolbar, Gtk::ToolButton, Gtk::ToolItem, Gtk::ToolItemGroup, Gtk::ToolPalette, Gtk::TreeView, Gtk::Viewport, Gtk::VolumeButton, Gtk::Widget, Gtk::Window, Gtk::PageSetupUnixDialog, Gtk::PrintUnixDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::Curve, Gtk::GammaCurve, and Gtk::InputDialog.

AtkImplementor* Atk::Implementor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AboutDialog, Gtk::AccelLabel, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Assistant, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellView, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboBox, Gtk::ComboBoxEntry, Gtk::Container, Gtk::Dialog, Gtk::DrawingArea, Gtk::Entry, Gtk::EventBox, Gtk::Expander, Gtk::FileChooserButton, Gtk::FileChooserDialog, Gtk::FileChooserWidget, Gtk::FileSelection, Gtk::Fixed, Gtk::FontButton, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::IconView, Gtk::Image, Gtk::ImageMenuItem, Gtk::InfoBar, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::LinkButton, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MenuToolButton, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::OffscreenWindow, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::Range, Gtk::RecentChooserDialog, Gtk::RecentChooserMenu, Gtk::RecentChooserWidget, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::ScaleButton, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Socket, Gtk::SpinButton, Gtk::Spinner, Gtk::Statusbar, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextView, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::Toolbar, Gtk::ToolButton, Gtk::ToolItem, Gtk::ToolItemGroup, Gtk::ToolPalette, Gtk::TreeView, Gtk::Viewport, Gtk::VolumeButton, Gtk::Widget, Gtk::Window, Gtk::PageSetupUnixDialog, Gtk::PrintUnixDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::Curve, Gtk::GammaCurve, and Gtk::InputDialog.

virtual Glib::RefPtr<Object> Atk::Implementor::ref_accessibile_vfunc | ( |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Implementor > wrap | ( | AtkImplementor * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atkmm/implementor.h